Subject: Re: Announcing Filespooler

From: Sergey Matveev <[email-masked]>
Date: Fri, 10 Jun 2022 21:48:29 +0300

*** John Goerzen [2022-06-10 08:14]:
>Out of curiosity, what are your challenges with Rust?

When I looked at it, it does not tell how to compile itself from the
sources. Its official suggestion is just to download some prebuilt
binary from the Internet and build Rust with it. So officially there is
(was? I did not check it for several years, because of no trust because
of all of that) no way to build it from the sources. Completely
unacceptable in my opinion and no trust for its creators. As I remember,
they wrote it initially on OCaml, that in turn was written on C.

Just out of curiosity I tried mrustc to build at least some of Rust's
version to be able to use it for bootstrapping further. I succeeded on
Devuan, but could not build it on FreeBSD. So several years ago I just
could not build it from the sources.

-- 
Sergey Matveev (http://www.stargrave.org/)
OpenPGP: CF60 E89A 5923 1E76 E263  6422 AE1A 8109 E498 57EF